#include "widget.h"
#include <QDebug>
Widget::Widget(QWidget *parent) : QWidget(parent)
{
    this->resize(1100, 770);
    //将qml界面注释掉后，纯qwidget界面，btn点击的信号响应快，有qml的界面。btn点击的信号响应慢
    m_imageRect = new QQuickWidget(this);
    m_imageRect->setSource(QUrl(QStringLiteral("qrc:/qmlinagetest.qml")));
    m_btn = new QPushButton(this);
    m_btn->move(0, 0);
    m_wid = new QWidget(this);
    m_wid->setStyleSheet("background:red");
    m_wid->resize(100, 100);
    m_wid->move(550, 330);
    m_wid->hide();
    connect(this, &Widget::testsignal, this, &Widget::testslot);
    connect(m_btn, &QPushButton::clicked, [=] {
        qDebug() << "===============click:1===================";
        //        emit testsignal();
        m_wid->show();
    });
    QPushButton *btn2 = new QPushButton(this);
    btn2->setText("隐藏qml");
    btn2->move(m_btn->x(), m_btn->y() + 50);
    connect(btn2, &QPushButton::clicked, [=] {
        m_imageRect->hide();
    });
    QPushButton *btn3 = new QPushButton(this);
    btn3->setText("显示qml");
    btn3->move(btn2->x(), btn2->y() + 50);
    connect(btn3, &QPushButton::clicked, [=] {
        m_imageRect->show();
    });
}

Widget::~Widget() {}

void Widget::testslot()
{
    qDebug() << "===============click:2===================";
}
